Bug 974821 - [abrt] systemd-201-2.fc18.7: _dl_name_match_p: Process /usr/lib/systemd/systemd was killed by signal 11 (SIGSEGV)
[abrt] systemd-201-2.fc18.7: _dl_name_match_p: Process /usr/lib/systemd/syste...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glibc (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Carlos O'Donell
Fedora Extras Quality Assurance
abrt_hash:bbd3277146d1abeed6b8f9eccf7...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-16 03:11 EDT by bobshardy
Modified: 2016-11-24 07:44 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:50:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (11.00 KB, text/plain)
2013-06-16 03:11 EDT, bobshardy
no flags Details
File: cgroup (143 bytes, text/plain)
2013-06-16 03:11 EDT, bobshardy
no flags Details
File: core_backtrace (1.50 KB, text/plain)
2013-06-16 03:12 EDT, bobshardy
no flags Details
File: dso_list (1.82 KB, text/plain)
2013-06-16 03:12 EDT, bobshardy
no flags Details
File: environ (144 bytes, text/plain)
2013-06-16 03:12 EDT, bobshardy
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-16 03:12 EDT, bobshardy
no flags Details
File: maps (9.25 KB, text/plain)
2013-06-16 03:12 EDT, bobshardy
no flags Details
File: open_fds (102 bytes, text/plain)
2013-06-16 03:12 EDT, bobshardy
no flags Details
File: proc_pid_status (893 bytes, text/plain)
2013-06-16 03:12 EDT, bobshardy
no flags Details
File: var_log_messages (9.01 KB, text/plain)
2013-06-16 03:12 EDT, bobshardy
no flags Details

  None (edit)
Description bobshardy 2013-06-16 03:11:47 EDT
Version-Release number of selected component:
systemd-201-2.fc18.7

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        (t-daemon) '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
crash_function: _dl_name_match_p
executable:     /usr/lib/systemd/systemd
kernel:         3.9.5-201.fc18.x86_64
runlevel:       3 5
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _dl_name_match_p at dl-misc.c:311
 #1 do_lookup_x at dl-lookup.c:462
 #2 _dl_lookup_symbol_x at dl-lookup.c:738
 #3 _dl_fixup at ../elf/dl-runtime.c:118
 #4 _dl_runtime_resolve at ../sysdeps/x86_64/dl-trampoline.S:45
 #5 cap_init at cap_alloc.c:19
 #6 cap_get_proc at cap_proc.c:16
 #7 capability_bounding_set_drop at src/shared/capability.c:101
 #8 exec_spawn at src/core/execute.c:1407
 #9 service_spawn at src/core/service.c:1835
Comment 1 bobshardy 2013-06-16 03:11:53 EDT
Created attachment 761754 [details]
File: backtrace
Comment 2 bobshardy 2013-06-16 03:11:57 EDT
Created attachment 761755 [details]
File: cgroup
Comment 3 bobshardy 2013-06-16 03:12:01 EDT
Created attachment 761756 [details]
File: core_backtrace
Comment 4 bobshardy 2013-06-16 03:12:05 EDT
Created attachment 761757 [details]
File: dso_list
Comment 5 bobshardy 2013-06-16 03:12:09 EDT
Created attachment 761758 [details]
File: environ
Comment 6 bobshardy 2013-06-16 03:12:13 EDT
Created attachment 761759 [details]
File: limits
Comment 7 bobshardy 2013-06-16 03:12:17 EDT
Created attachment 761760 [details]
File: maps
Comment 8 bobshardy 2013-06-16 03:12:20 EDT
Created attachment 761761 [details]
File: open_fds
Comment 9 bobshardy 2013-06-16 03:12:25 EDT
Created attachment 761762 [details]
File: proc_pid_status
Comment 10 bobshardy 2013-06-16 03:12:29 EDT
Created attachment 761763 [details]
File: var_log_messages
Comment 11 Harald Hoyer 2013-06-17 08:01:58 EDT
(In reply to bobshardy from comment #0)
> Thread no. 1 (10 frames)
>  #0 _dl_name_match_p at dl-misc.c:311
>  #1 do_lookup_x at dl-lookup.c:462
>  #2 _dl_lookup_symbol_x at dl-lookup.c:738
>  #3 _dl_fixup at ../elf/dl-runtime.c:118
>  #4 _dl_runtime_resolve at ../sysdeps/x86_64/dl-trampoline.S:45
>  #5 cap_init at cap_alloc.c:19
>  #6 cap_get_proc at cap_proc.c:16
>  #7 capability_bounding_set_drop at src/shared/capability.c:101
>  #8 exec_spawn at src/core/execute.c:1407
>  #9 service_spawn at src/core/service.c:1835

cap_init at cap_alloc.c:19
    raw_data = malloc( sizeof(__u32) + sizeof(*result) );


Program terminated with signal 11, Segmentation fault.
#0  _dl_name_match_p (name=0x7fce2de8eb4b "libc.so.6", map=<optimized out>) at dl-misc.c:311
311	    if (strcmp (name, runp->name) == 0)

Thread 1 (Thread 0x7fce2eef8840 (LWP 1725)):
#0  _dl_name_match_p (name=0x7fce2de8eb4b "libc.so.6", map=<optimized out>) at dl-misc.c:311
        runp = 0xff00000000
#1  0x00007fce2ed1086a in do_lookup_x (new_hash=new_hash@entry=221883709, old_hash=old_hash@entry=0x7fff4adfadf0, result=result@entry=0x7fff4adfae10, scope=<optimized out>, i=<optimized out>, i@entry=0, flags=flags@entry=1, skip=skip@entry=0x0, undef_map=undef_map@entry=0x7fce2ef004c8) at dl-lookup.c:462
        symtab = 0x7fce2e8e1240
        sym = <optimized out>
        bitmask = <optimized out>
        n = 21
        list = 0x7fce2eefccf8
        num_versions = 0
        versioned_sym = 0x0
        map = 0x7fce2ef26b28
        type_class = 1
        undef_name = 0x7fce2de8e962 "malloc"
        strtab = 0x7fce2e8e15e8 ""
        symidx = 0
        ref = 0x7fce2de8e498
        version = 0x7fce2eefb6f0
Comment 12 Fedora End Of Life 2013-12-21 09:01:43 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2014-02-05 16:50:17 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.